API Reference
Experiments
Experiments API endpoints
List experiments for the current user
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Create a new experiment with variants
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Request Body
application/jsonRequirednameRequired
stringdescriptionstringtargetFileRequired
stringvariantsRequired
array<object>participantIdsRequired
array<string>Experiment created with variants and assignments
Get experiment details with variants
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Path Parameters
experimentIdRequired
stringExperiment ID
Update experiment metadata
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Request Body
application/jsonRequiredPath Parameters
experimentIdRequired
stringExperiment ID
Delete an experiment
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Path Parameters
experimentIdRequired
stringExperiment ID
Add a variant to an experiment
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Request Body
application/jsonRequiredPath Parameters
experimentIdRequired
stringExperiment ID
Update a variant
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Request Body
application/jsonRequiredPath Parameters
experimentIdRequired
stringExperiment ID
variantIdRequired
stringVariant ID
Delete a variant from an experiment
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Path Parameters
experimentIdRequired
stringExperiment ID
variantIdRequired
stringVariant ID
Transition experiment status (start, pause, complete)
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Request Body
application/jsonRequiredstatusRequired
stringValue in:
"running" | "paused" | "completed"Path Parameters
experimentIdRequired
stringExperiment ID
Deploy a variant to a connected agent
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Request Body
application/jsonRequiredparticipantIdRequired
stringvariantIdRequired
stringPath Parameters
experimentIdRequired
stringExperiment ID
Variant deployed to agent